Page MenuHomePhabricator

Integrate EBSCO Discovery Service search bar
Closed, ResolvedPublic

Description

As part of the new redesign we want to integrate the EBSCO Discovery Service search bar. This should be in the site header and accessible from all pages carrying the header.

EDS has a search box generator tool which may be helpful: https://searchbox.ebsco.com/. Ask @Samwalton9 for Customer ID etc. The search box should not send users through a proxy, instead using the 'Referring URL' authentication method, which should already be configured correctly for production. Sam can update this to work for Staging for testing if needed.

Mockups/prototypes:

Acceptance criteria

  • The search bar has been added to the site header
  • The search bar should resize to allow ‘Review’ and ‘Mark as sent’ links to be present (Frame 78), and to adapt to screen sizes, until the viewport is too small to display them, in which case we should use the mobile view.
  • The search bar resizes to fit the mobile header design on smaller viewports, replacing "Search" with a magnifying glass when required.
  • The search bar is not shown in the header when the user does not meet the eligibility criteria or is anonymous (so it doesn't show up on publicly viewable pages)
  • The search bar initiates a search in the user's profile language where possible (EDS is available in ~30 languages)

Event Timeline

Samwalton9 renamed this task from Launch to Launch search and discovery interface.Dec 9 2019, 10:23 AM
Samwalton9 renamed this task from Launch search and discovery interface to Integrate EBSCO Discovery Service.Dec 11 2020, 11:20 AM
Samwalton9 triaged this task as Medium priority.
Samwalton9 updated the task description. (Show Details)

We might want to mark on publisher pages/browse/My Library on Library Card whether a publisher is indexed in EDS. This should be a separate task.
EDIT: Filed T270115.

Samwalton9 renamed this task from Integrate EBSCO Discovery Service to Integrate EBSCO Discovery Service search bar.Jun 28 2021, 1:14 PM
Samwalton9 removed a project: Epic.
Samwalton9 updated the task description. (Show Details)

@jsn.sherman Do we need to add the EZProxy into the search box?

Screen Shot 2021-08-20 at 12.12.01.png (749×693 px, 98 KB)

@Scardenasmolinar No - we want to avoid sending users through the proxy until they need to use it, so we should stick with Referring URL as the authentication option. I've configured this in the EDS config to work for both prod and staging.

The PR looks ready to go to me! @Samwalton9 should we wait for some configuration changes for EDS to come through before merging? Holding off until I hear back.

Yes let's hold off until T269932 is in better shape.

I believe this is basically 'done' so I'm going to park it in Done for now, we're just waiting for config changes before deployment.

@Scardenasmolinar Quick request - could we remove the "We're in the process of redesigning the library..." message in My Library as part of this PR? I think it's time for that to go, since we have our priorities.

Since EBSCO haven't been getting back to me about configuring holdings this task now has just two blockers before we merge to production:

  • Fixing the ProQuest widget (tracked in T269932)
  • Allowing users to search for filterable collections (T290245)

@Scardenasmolinar I'm just thinking about how to ensure that users can give us feedback about search. Do you think you could add a small 'Feedback' link below the search bar, right-aligned, which points to https://meta.wikimedia.org/wiki/Talk:Library_Card_platform/Search ?

@Scardenasmolinar I'm just thinking about how to ensure that users can give us feedback about search. Do you think you could add a small 'Feedback' link below the search bar, right-aligned, which points to https://meta.wikimedia.org/wiki/Talk:Library_Card_platform/Search ?

How would that look like? Would it be clear that it is only feedback for search? We can always repurpose the banner to ask for feedback on the search bar

Something like this feels 'attached' enough that the link should be clear?

image.png (91×781 px, 6 KB)

Gotcha! Moving this back to In Progress so I know I need to get back to it later.

New changes have been implemented:

Bootstrap 4 header:

Screen Shot 2021-09-21 at 17.15.40.png (71×629 px, 6 KB)

Bootstrap 3 header:

Screen Shot 2021-09-21 at 17.15.34.png (78×725 px, 7 KB)

Let me know if I need to make any additional changes

Merged https://github.com/WikipediaLibrary/TWLight/pull/795 into the EDS-feature branch. Will link to the PR that will merge to production later on